// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2021 Florian Schmaus
#pragma once

#include "RuntimeStrategyFactory.hpp"
#include "strategies/ws/WsStrategy.hpp"

class Runtime;

class WsStrategyFactory : public RuntimeStrategyFactory {
 public:
	auto constructRuntimeStrategy(Runtime& runtime) -> WsStrategy* override;

	static WsStrategyFactory INSTANCE;
};
